package com.dao;

import com.entity.ResourcesType;
import java.util.List;
import java.util.Map;



public interface ResourcesTypeMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(ResourcesType resourcesType);

    int insertSelective(ResourcesType resourcesType);

    ResourcesType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ResourcesType resourcesType);

    int updateByPrimaryKeyWithBLOBs(ResourcesType resourcesType);

    int updateByPrimaryKey(ResourcesType resourcesType);

    ResourcesType checkName(Map<String, Object> name);
    //  查询所有信息
    List<ResourcesType> getAll(Map<String, Object> map);
    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<ResourcesType> getByPage(Map<String, Object> map);


}
